%define		name clamav
%define		pversion 0.87.1
%define 	bversion 1.2
%define		rpmrelease 10

# INSTRUCTIONS!!! <--------------------- READ THEM!!!
#
# You can rebuild  this  package safely using Command
# Line Overrides. For example, if you want to rebuild
# this package for RedHat just type:
# $ rpmbuild --rebuild --with rht90 package.src.rpm
# $ rpmbuild -ba --with rht90 package.spec
#
# Redhat 9 Linux is the "default" installation
#
# Default values:
# Please,  if  you have got an old RPM version, maybe
# you are  not able  to rebuild packages with Command
# Line Overrides.
#
# mdk = Linux Mandrake Linux
# rht = RedHat Linux
# fdr = Fedora Core Linux
# cnt = CentOS Linux
# trx = Trustix Linux
#

%define		build_sus_100  0
%define		build_sus_10064  0
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  0
%define		build_mdk_103  0
%define		build_mdk_10364  0
%define 	build_rht_90   0
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   0

#####################################################
#                                                   #
#      Do not touch anything below this line        #
#                                                   #
#####################################################

# Default Value (compile for RedHat9)
%define		default		1

# Command Line Overrides
%{?_with_sus100:   %{expand: %%define build_sus_100  1}}
%{?_with_sus10064:	%{expand: %%define build_sus_10064  1}}
%{?_with_mdk100:   %{expand: %%define build_mdk_100  1}}
%{?_with_mdk101:   %{expand: %%define build_mdk_101  1}}
%{?_with_mdk102:   %{expand: %%define build_mdk_102  1}}
%{?_with_mdk103:   %{expand: %%define build_mdk_103  1}}
%{?_with_mdk10364:   %{expand: %%define build_mdk_10364  1}}
%{?_with_rht90:   	%{expand: %%define build_rht_90   1}}
%{?_with_fdr10:   	%{expand: %%define build_fdr_10   1}}
%{?_with_fdr20:   	%{expand: %%define build_fdr_20   1}}
%{?_with_fdr30:   	%{expand: %%define build_fdr_30   1}}
%{?_with_fdr40:   	%{expand: %%define build_fdr_40   1}}
%{?_with_fdr4064:  %{expand: %%define build_fdr_4064   1}}
%{?_with_cnt40:   	%{expand: %%define build_cnt_40   1}}
%{?_with_cnt4064:  %{expand: %%define build_cnt_4064   1}}
%{?_with_trx20: 	%{expand: %%define build_trx_20   1}}

# Distro Statements
%if %{build_sus_100}
%define		release %{bversion}.%{rpmrelease}
%define 	ostype SuSE 10.0 Linux 
BuildRequires:	bzip2, gtkzip, perl-Archive-Zip, gmp, zlib-devel, curl-devel, libidn-devel, autoconf, automake 
Requires:	bzip2, gtkzip, gmp, zlib, curl, libidn
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		crontab	/etc/crontab
%define		_initpath /etc/init.d
%define		_initdist suse
%define		build_sus_100  1
%define		build_sus_10064  0
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  0
%define 	build_rht_90   0
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   0
%define		default	       0
%endif

%if %{build_sus_10064}
%define		release %{bversion}.%{rpmrelease}
%define 	ostype SuSE 10.0 x86_64 Linux 
BuildRequires:	bzip2, gtkzip, perl-Archive-Zip, gmp-32bit, zlib-devel, curl-devel, libidn-devel, autoconf, automake 
Requires:	bzip2, gtkzip, gmp, zlib, curl, libidn
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		crontab	/etc/crontab
%define		_initpath /etc/init.d
%define		_initdist suse
%define		build_sus_100  0
%define		build_sus_10064  1
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  0
%define 	build_rht_90   0
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   0
%define		default	       0
%endif

%if %{build_mdk_103}
%define		release %{bversion}.%{rpmrelease}mdk
%define 	ostype Mandriva 2006.0 Linux
BuildRequires:	bzip2-devel, libgmp3-devel, zlib-devel, curl-devel, libidn11-devel, autoconf2.5, automake1.7 
BuildRequires:	multiarch-utils >= 1.0.3
Obsoletes:	clamav, clamav-db, libclamav1, klamav
Requires:	libbzip2_1, libgmp3, zlib, curl, libidn11
PreReq:		rpm-helper
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		crontab	/etc/crontab
%define		_initpath /etc/rc.d/init.d
%define		_initdist notsuse
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  0
%define		build_mdk_103  1
%define		build_mdk_10364  0
%define 	build_rht_90   0
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   0
%define		default	       0
%endif

%if %{build_mdk_10364}
%define		release %{bversion}.%{rpmrelease}mdk
%define 	ostype Mandriva 2006.0 x86_64 Linux
BuildRequires:	bzip2-devel, lib64gmp3-devel, zlib-devel, curl-devel, lib64idn11-devel, autoconf2.5, automake1.7 
BuildRequires:	multiarch-utils >= 1.0.3
Obsoletes:	clamav, clamav-db, lib64clamav1, klamav
Requires:	lib64bzip2_1, lib64gmp3, zlib, curl, lib64idn11
PreReq:		rpm-helper
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		crontab	/etc/crontab
%define		_initpath /etc/rc.d/init.d
%define		_initdist notsuse
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  0
%define		build_mdk_103  0
%define		build_mdk_10364  1
%define 	build_rht_90   0
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   0
%define		default	       0
%endif

%if %{build_mdk_102}
%define		release %{bversion}.%{rpmrelease}mdk
%define 	ostype Mandriva 2005 Linux
BuildRequires:	bzip2-devel, libgmp3-devel, zlib-devel, curl-devel, libidn11-devel, autoconf2.5, automake1.7 
BuildRequires:	multiarch-utils >= 1.0.3
Requires:	libbzip2_1, libgmp3, zlib, curl, libidn11
PreReq:		rpm-helper
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		crontab	/etc/crontab
%define		_initpath /etc/rc.d/init.d
%define		_initdist notsuse
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  1
%define		build_mdk_103  0
%define		build_mdk_10364  0
%define 	build_rht_90   0
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   0
%define		default	       0
%endif

%if %{build_mdk_101}
%define		release %{bversion}.%{rpmrelease}mdk
%define 	ostype Mandrake 10.1 Linux
%define 	ostype Mandriva 2005 Linux
BuildRequires:	bzip2-devel, libgmp3-devel, zlib-devel, curl-devel, libidn11-devel, autoconf2.5, automake1.7
Requires:	libbzip2_1, libgmp3, zlib, curl, libidn11
PreReq:		rpm-helper
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		crontab	/etc/crontab
%define		_initpath /etc/rc.d/init.d
%define		_initdist notsuse
%define		build_mdk_100  0
%define		build_mdk_101  1
%define		build_mdk_102  0
%define		build_mdk_103  0
%define		build_mdk_10364  0
%define 	build_rht_90   0
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   0
%define		default	       0
%endif

%if %{build_mdk_100}
%define		release %{bversion}.%{rpmrelease}mdk
%define 	ostype Mandrake 10.0 Linux
BuildRequires:	bzip2-devel, libgmp3-devel, zlib-devel, curl-devel, libidn11-devel, autoconf2.5, automake1.7 
Requires:	libbzip2_1, libgmp3, zlib, curl, libidn11
PreReq:		rpm-helper
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		crontab	/etc/crontab
%define		_initpath /etc/rc.d/init.d
%define		_initdist notsuse
%define		build_sus_100  0
%define		build_sus_10064  0
%define		build_mdk_100  1
%define		build_mdk_101  0
%define		build_mdk_102  0
%define 	build_rht_90   0
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   0
%define		default	       0
%endif

%if %{build_rht_90}
%define		release %{bversion}.%{rpmrelease}
%define 	ostype RedHat 9 Linux
BuildRequires:	bzip2-devel, gmp-devel, zlib-devel, curl-devel, autoconf, automake 
Requires:	bzip2-libs, gmp, zlib, curl
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		crontab	/etc/crontab
%define		_initpath /etc/rc.d/init.d
%define		_initdist notsuse
%define		build_sus_100  0
%define		build_sus_10064  0
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  0
%define 	build_rht_90   1
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   0
%define		default	       0
%endif

%if %{build_fdr_10}
%define		release %{bversion}.%{rpmrelease}
%define 	ostype Fedora Core 1 Linux
BuildRequires:	bzip2-devel, gmp-devel, zlib-devel, curl-devel, libidn-devel, autoconf, automake 
Requires:	bzip2-libs, gmp, zlib, curl, libidn
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		crontab	/etc/crontab
%define		_initpath /etc/rc.d/init.d
%define		_initdist notsuse
%define		build_sus_100  0
%define		build_sus_10064  0
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  0
%define 	build_rht_90   0
%define 	build_fdr_10   1
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   0
%define		default	       0
%endif

%if %{build_fdr_20}
%define		release %{bversion}.%{rpmrelease}
%define 	ostype Fedora Core 2 Linux
BuildRequires:	bzip2-devel, gmp-devel, zlib-devel, curl-devel, libidn-devel, autoconf, automake 
Requires:	bzip2-libs, gmp, zlib, curl, libidn
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		crontab	/etc/crontab
%define		_initpath /etc/rc.d/init.d
%define		_initdist notsuse
%define		build_sus_100  0
%define		build_sus_10064  0
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  0
%define 	build_rht_90   0
%define 	build_fdr_10   0
%define 	build_fdr_20   1
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   0
%define		default	       0
%endif

%if %{build_fdr_30}
%define		release %{bversion}.%{rpmrelease}
%define 	ostype Fedora Core 3 Linux
BuildRequires:	bzip2-devel, gmp-devel, zlib-devel, curl-devel, libidn-devel, autoconf, automake 
Requires:	bzip2-libs, gmp, zlib, curl, libidn
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		crontab	/etc/crontab
%define		_initpath /etc/rc.d/init.d
%define		_initdist notsuse
%define		build_sus_100  0
%define		build_sus_10064  0
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  0
%define 	build_rht_90   0
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   1
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   0
%define		default	       0
%endif

%if %{build_fdr_40}
%define		release %{bversion}.%{rpmrelease}
%define 	ostype Fedora Core 4 Linux
BuildRequires:	bzip2-devel, gmp-devel, zlib-devel, curl-devel, libidn-devel, autoconf, automake 
Requires:	bzip2-libs, gmp, zlib, curl, libidn
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		crontab	/etc/crontab
%define		_initpath /etc/rc.d/init.d
%define		_initdist notsuse
%define		build_sus_100  0
%define		build_sus_10064  0
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  0
%define 	build_rht_90   0
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   1
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   0
%define		default	       0
%endif

%if %{build_fdr_4064}
%define		release %{bversion}.%{rpmrelease}
%define 	ostype Fedora Core 4 x86_64 Linux
BuildRequires:	bzip2-devel, gmp-devel, zlib-devel, curl-devel, libidn-devel, autoconf, automake 
Requires:	bzip2-libs, gmp, zlib, curl, libidn
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		crontab	/etc/crontab
%define		_initpath /etc/rc.d/init.d
%define		_initdist notsuse
%define		build_sus_100  0
%define		build_sus_10064  0
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  0
%define 	build_rht_90   0
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   1
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   0
%define		default	       0
%endif

%if %{build_cnt_40}
%define		release %{bversion}.%{rpmrelease}
%define 	ostype CentOS 4 Linux 
BuildRequires:	bzip2-devel, gmp-devel, zlib-devel, curl-devel, libidn-devel, autoconf, automake 
Requires:	bzip2-libs, gmp, zlib, curl, libidn
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		crontab	/etc/crontab
%define		_initpath /etc/rc.d/init.d
%define		_initdist notsuse
%define		build_sus_100  0
%define		build_sus_10064  0
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  0
%define 	build_rht_90   0
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   1
%define 	build_cnt_4064   0
%define 	build_trx_20   0
%define		default	       0
%endif

%if %{build_cnt_4064}
%define		release %{bversion}.%{rpmrelease}
%define 	ostype CentOS 4 x86_64 Linux 
BuildRequires:	bzip2-devel, gmp-devel, zlib-devel, curl-devel, libidn-devel, autoconf, automake 
Requires:	bzip2-libs, gmp, zlib, curl, libidn
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		crontab	/etc/crontab
%define		_initpath /etc/rc.d/init.d
%define		_initdist notsuse
%define		build_sus_100  0
%define		build_sus_10064  0
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  0
%define 	build_rht_90   0
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   1
%define 	build_trx_20   0
%define		default	       0
%endif

%if %{build_trx_20}
%define		release %{bversion}.%{rpmrelease}tsl
%define 	ostype Trustix 2.0 Linux
BuildRequires:	bzip2-devel, gmp-devel, zlib-devel, curl-devel, libidn-devel, autoconf, automake 
Requires:	bzip2-libs, gmp, zlib, curl, libidn
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		crontab	/etc/fcrontab
%define		_initpath /etc/rc.d/init.d
%define		_initdist notsuse
%define		build_sus_100  0
%define		build_sus_10064  0
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  0
%define 	build_rht_90   0
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   1
%define		default	       0
%endif

%if %{default}
%define		release %{bversion}.%{rpmrelease}
%define 	ostype RedHat 9 Linux
BuildRequires:	bzip2-devel, gmp-devel, zlib-devel, curl-devel, autoconf, automake 
Requires:	bzip2-libs, gmp, zlib, curl
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		crontab	/etc/crontab
%define		_initpath /etc/rc.d/init.d
%define		_initdist notsuse
%define		build_sus_100  0
%define		build_sus_10064  0
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  0
%define 	build_rht_90   1
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   0
%endif

############### RPM ################################

%define		debug_package %{nil}
%define         vtoaster %{pversion}
%define		qdir /var/qmail
%define		real_name clamav

%define		builddate Sun Nov 20 2005

Name:		%{name}-toaster
Summary:	ClamAV for qmail-toaster
Version:	%{vtoaster}
Release:	%{release}
License:	GPL
Group:		System Enviroment/Daemons
URL:		http://www.clamav.net
Source0:	clamav-%{pversion}.tar.bz2
Source1:	freshclam.logrotate.bz2
Source2:	freshclam.daily.bz2
Source3:	freshclam.bz2
Source4:	supervise-clamd.run.bz2
Source5:	supervise-clamd-log.run.bz2
Source6:	freshclam.sus.bz2
Patch0:		clamav-0.87.1.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{pversion}-root
Requires:	zlib >= 1.2.3
Packager:     Nick Hemmesch <nick@ndhsoft.com>

%define	name clamav


#------------------------------------------------------------------------------------
%description
#------------------------------------------------------------------------------------
Clam AntiVirus is a GPL anti-virus toolkit for UNIX. The main purpose of this
software is the integration with mail servers (attachment scanning).
The package provides a flexible and scalable multi-threaded daemon,
a command line scanner, and a tool for automatic updating via Internet.
The programs are based on a shared library distributed with package,
which you can use with your own software.
Most importantly, the virus database is kept up to date .


#------------------------------------------------------------------------------------
%prep
#------------------------------------------------------------------------------------
%setup -q -n %{name}-%{pversion}

%patch0 -p0


# Find the latest compiler
#------------------------------------------------------------------------------------
[ -f %{_tmppath}/%{name}-%{pversion}-gcc ] && rm -f %{_tmppath}/%{name}-%{pversion}-gcc

if   [ -x /usr/bin/gcc-3.2.3 ]; then
	echo "/usr/bin/gcc-3.2.3" > %{_tmppath}/%{name}-%{pversion}-gcc
elif   [ -x /usr/bin/gcc-3.2.2 ]; then
	echo "/usr/bin/gcc-3.2.2" > %{_tmppath}/%{name}-%{pversion}-gcc
elif   [ -x /usr/bin/gcc-3.2.1 ]; then
	echo "/usr/bin/gcc-3.2.1" > %{_tmppath}/%{name}-%{pversion}-gcc
elif [ -x /usr/bin/gcc-3.2 ]; then
        echo "/usr/bin/gcc-3.2" > %{_tmppath}/%{name}-%{pversion}-gcc
elif [ -x /usr/bin/gcc-3.1.1 ]; then
        echo "/usr/bin/gcc-3.1.1" > %{_tmppath}/%{name}-%{pversion}-gcc
else
	echo "gcc" > %{_tmppath}/%{name}-%{pversion}-gcc
fi

# Display compilation flags and OS with colors ;)
#------------------------------------------------------------------------------------
[ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] && rm -f %{_tmppath}/%{name}-%{pversion}-show_flags
cat <<EOF >>%{_tmppath}/%{name}-%{pversion}-show_flags
#!/bin/sh

RPM=" RPM RELEASE: \033[40m\033[001;033m%{name}-toaster-%{pversion}-%{release} "
OS=" OS TYPE IS : \033[40m\033[001;033m%{ostype} "
BLD=" BUILD DATE : \033[40m\033[001;033m%{builddate} "
CCF=" CCFLAGS    : \033[40m\033[001;033m%{ccflags} "
LDF=" LDFLAGS    : \033[40m\033[001;033m%{ldflags} "

echo
echo
echo -e "\033[40m\033[001;031m\$RPM\033[0m"
echo -e "\033[40m\033[001;031m\$OS\033[0m"
echo -e "\033[40m\033[001;031m\$BLD\033[0m"
echo -e "\033[40m\033[001;031m\$CCF\033[0m"
echo -e "\033[40m\033[001;031m\$LDF\033[0m"
echo
echo

sleep 5

EOF


# Take care to execute and then to delete
#------------------------------------------------------------------------------------
chmod u+x %{_tmppath}/%{name}-%{pversion}-show_flags
%{_tmppath}/%{name}-%{pversion}-show_flags
[ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] && rm -f %{_tmppath}/%{name}-%{pversion}-show_flags


#----------------------------------------------------------------------------------
%build
#----------------------------------------------------------------------------------

# Make clamav user and group for build
#----------------------------------------------------------------------------------
if [ -z "`/usr/bin/id -g clamav 2>/dev/null`" ]; then
	/usr/sbin/groupadd -g 46 -r clamav 2>&1 || :
fi
if [ -z "`/usr/bin/id -u clamav 2>/dev/null`" ]; then
	/usr/sbin/useradd -u 46 -r -M -d /tmp  -s /sbin/nologin -c "Clam AntiVirus" -g clamav clamav 2>&1 || :
fi


# Run configure to create makefile
#------------------------------------------------------------------------------------
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
%{__make}

# Delete gcc temp file
#------------------------------------------------------------------------------------
[ -f %{_tmppath}/%{name}-%{pversion}-gcc ] && rm -f %{_tmppath}/%{name}-%{pversion}-gcc


#------------------------------------------------------------------------------------
%install
#------------------------------------------------------------------------------------
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
[ -d %{buildroot}/%{name}-%{pversion} ] && rm -rf %{buildroot}/%{name}-%{pversion}

install -d %{buildroot}%{_initpath}/
install -d %{buildroot}%{_sysconfdir}/cron.daily
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}/var/log/clamav
install -d %{buildroot}/var/spool/clamav


%{__make} DESTDIR=%{buildroot} install

install -d %{buildroot}%{qdir}
install -d %{buildroot}%{qdir}/supervise
install -d %{buildroot}%{qdir}/supervise/clamd
install -d %{buildroot}%{qdir}/supervise/clamd/log
install -d %{buildroot}%{qdir}/supervise/clamd/supervise
install -d %{buildroot}/var/log/qmail
install -d %{buildroot}/var/log/qmail/clamd

rm -rf %{buildroot}%{_mandir}/man8/clamav-milter.8*
install etc/clamd.conf %{buildroot}%{_sysconfdir}/clamd.conf
install etc/freshclam.conf %{buildroot}%{_sysconfdir}/freshclam.conf
install %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/freshclam.bz2
bunzip2 %{buildroot}%{_sysconfdir}/logrotate.d/freshclam.bz2
install %{SOURCE2} %{buildroot}%{_sysconfdir}/cron.daily/freshclam.bz2
bunzip2 %{buildroot}%{_sysconfdir}/cron.daily/freshclam.bz2
%if %{build_sus_100} || %{build_sus_10064}
   install %{SOURCE6} %{buildroot}%{_initpath}/freshclam.bz2
   bunzip2 %{buildroot}%{_initpath}/freshclam.bz2
%else
   install %{SOURCE3} %{buildroot}%{_initpath}/freshclam.bz2
   bunzip2 %{buildroot}%{_initpath}/freshclam.bz2
%endif
install %{SOURCE4} %{buildroot}%{qdir}/supervise/clamd/run.bz2
bunzip2 %{buildroot}%{qdir}/supervise/clamd/run.bz2
install %{SOURCE5} %{buildroot}%{qdir}/supervise/clamd/log/run.bz2
bunzip2 %{buildroot}%{qdir}/supervise/clamd/log/run.bz2
touch %{buildroot}/var/log/clamav/freshclam.log

# Make freshclam sym link
#------------------------------------------------------------------------------------
pushd %{buildroot}%{_bindir}
  ln -s ../..%{_initpath}/freshclam fclamctl
popd


%if %{build_mdk_102}
%multiarch_binaries %{buildroot}%{_bindir}/clamav-config
%endif

#------------------------------------------------------------------------------------
%pre
#------------------------------------------------------------------------------------
if [ -z "`/usr/bin/id -g clamav 2>/dev/null`" ]; then
	/usr/sbin/groupadd -g 46 -r clamav 2>&1 || :
fi
if [ -z "`/usr/bin/id -u clamav 2>/dev/null`" ]; then
	/usr/sbin/useradd -u 46 -r -M -d /tmp  -s /sbin/nologin -c "Clam AntiVirus" -g clamav clamav 2>&1 || :
fi


#------------------------------------------------------------------------------------
%post
#------------------------------------------------------------------------------------
# Use country mirror for virus DB
ZONES="/usr/share/zoneinfo/zone.tab"
CONFIG="/etc/sysconfig/clock"
FRESHCFG=`/bin/mktemp /tmp/freshclam.XXXXXX`

if [ -r "$CONFIG" -a -r "$ZONES" ]; then
	source "$CONFIG"
	export CODE="$(grep -E "\b$ZONE\b" "$ZONES" | head -1 | cut -f1 | tr [A-Z] [a-z])"
fi

if [ -z "$CODE" ]; then
	export CODE="local"
fi

sed -e "s%^#DatabaseMirror .*%DatabaseMirror db.$CODE.clamav.net%" \
	%{_sysconfdir}/freshclam.conf > $FRESHCFG
mv $FRESHCFG %{_sysconfdir}/freshclam.conf

if [ -f %{_sysconfdir}/freshclam.conf.rpmnew ]; then
   sed -e "s%^#DatabaseMirror .*%DatabaseMirror db.$CODE.clamav.net%" \
   %{_sysconfdir}/freshclam.conf.rpmnew > $FRESHCFG
   mv $FRESHCFG %{_sysconfdir}/freshclam.conf.rpmnew
fi

chmod 0640 %{_sysconfdir}/freshclam.conf*

if [ %{_initdist} = "suse" ]; then
  /sbin/chkconfig --add freshclam 
  /sbin/chkconfig freshclam on
fi

if [ %{_initdist} = "notsuse" ]; then
  [ -f %{_sysconfdir}/rc0.d/K30freshclam ] || ln -s %{_sysconfdir}/rc.d/init.d/freshclam %{_sysconfdir}/rc0.d/K30freshclam
  [ -f %{_sysconfdir}/rc1.d/K30freshclam ] || ln -s %{_sysconfdir}/rc.d/init.d/freshclam %{_sysconfdir}/rc1.d/K30freshclam
  [ -f %{_sysconfdir}/rc2.d/S80freshclam ] || ln -s %{_sysconfdir}/rc.d/init.d/freshclam %{_sysconfdir}/rc2.d/S80freshclam
  [ -f %{_sysconfdir}/rc3.d/S80freshclam ] || ln -s %{_sysconfdir}/rc.d/init.d/freshclam %{_sysconfdir}/rc3.d/S80freshclam
  [ -f %{_sysconfdir}/rc4.d/S80freshclam ] || ln -s %{_sysconfdir}/rc.d/init.d/freshclam %{_sysconfdir}/rc4.d/S80freshclam
  [ -f %{_sysconfdir}/rc5.d/S80freshclam ] || ln -s %{_sysconfdir}/rc.d/init.d/freshclam %{_sysconfdir}/rc5.d/S80freshclam
  [ -f %{_sysconfdir}/rc6.d/K30freshclam ] || ln -s %{_sysconfdir}/rc.d/init.d/freshclam %{_sysconfdir}/rc6.d/K30freshclam
fi

%if %{build_mdk_102}
   %create_ghostfile /var/log/%{name}/freshclam.log %{name} %{name} 0644
%endif


#------------------------------------------------------------------------------------
%preun
#------------------------------------------------------------------------------------
if [ $1 -eq 0 ]; then
userdel clamav

if [ %{_initdist} = "suse" ]; then
  /sbin/chkconfig --del freshclam 
fi
if [ %{_initdist} = "notsuse" ]; then
  # Remove runlevel links
  rm -f %{_sysconfdir}/rc0.d/K30freshclam 2>&1 > /dev/null
  rm -f %{_sysconfdir}/rc1.d/K30freshclam 2>&1 > /dev/null
  rm -f %{_sysconfdir}/rc2.d/S80freshclam 2>&1 > /dev/null
  rm -f %{_sysconfdir}/rc3.d/S80freshclam 2>&1 > /dev/null
  rm -f %{_sysconfdir}/rc4.d/S80freshclam 2>&1 > /dev/null
  rm -f %{_sysconfdir}/rc5.d/S80freshclam 2>&1 > /dev/null
  rm -f %{_sysconfdir}/rc6.d/K30freshclam 2>&1 > /dev/null
fi
rm -Rf /var/qmail/supervise/clamd
fi


#------------------------------------------------------------------------------------
%clean
#------------------------------------------------------------------------------------
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
[ -d $RPM_BUILD_DIR/%{real_name}-%{pversion} ] && rm -rf $RPM_BUILD_DIR/%{real_name}-%{pversion}
[ -f %{_tmppath}/%{name}-%{pversion}-gcc ] && rm -f %{_tmppath}/%{name}-%{pversion}-gcc


#------------------------------------------------------------------------------------
%files 
#------------------------------------------------------------------------------------
%defattr(0644,root,root,0755)

# Dirs
%attr(0755,clamav,clamav) %dir /var/log/clamav
%attr(0755,root,qmail) %dir %{qdir}
%attr(0755,qmaill,qmail) %dir %{qdir}/supervise
%attr(1700,qmaill,qmail) %dir %{qdir}/supervise/clamd
%attr(0700,qmaill,qmail) %dir %{qdir}/supervise/clamd/log
%attr(0755,qmaill,qmail) %dir %{qdir}/supervise/clamd/supervise
%attr(0700,qmaill,qmail) %dir /var/log/qmail
%attr(0755,qmaill,qmail) %dir /var/log/qmail/clamd
%attr(0755,clamav,clamav) %dir %{_datadir}/clamav

# Binaries
%attr(0755,root,root) %{_bindir}/clamscan
%attr(0755,root,root) %{_bindir}/clamdscan
%attr(0755,root,root) %{_bindir}/freshclam
%if %{build_mdk_102}
%multiarch %{multiarch_bindir}/clamav-config
%endif
%attr(0755,root,root) %{_bindir}/clamav-config
%attr(0755,root,root) %{_bindir}/sigtool
%attr(0755,root,root) %{_sbindir}/clamd

# Sym Link
%attr(-,root,root) %{_bindir}/fclamctl

# Configuration
%attr(0755,root,root) %{_initpath}/freshclam
%attr(0755,root,root) %{_sysconfdir}/cron.daily/freshclam
%attr(0644,root,clamav) %config(noreplace) %{_sysconfdir}/clamd.conf
%attr(0640,root,clamav) %config(noreplace) %{_sysconfdir}/freshclam.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/freshclam
%attr(0644,clamav,clamav) %config(noreplace) %{_datadir}/clamav/main.cvd
%attr(0644,clamav,clamav) %config(noreplace) %{_datadir}/clamav/daily.cvd
%attr(0640,clamav,clamav) %ghost /var/log/clamav/freshclam.log
%attr(0751,qmaill,qmail) %{qdir}/supervise/clamd/run
%attr(0751,qmaill,qmail) %{qdir}/supervise/clamd/log/run

# Devel
%attr(0644,root,root) %{_includedir}/clamav.h
%attr(0755,root,root) %{_libdir}/libclamav.so.*
%attr(0755,root,root) %{_libdir}/libclamav.so
%attr(0755,root,root) %{_libdir}/libclamav.a
%attr(0755,root,root) %{_libdir}/libclamav.la
%attr(0644,root,root) %{_libdir}/pkgconfig/libclamav.pc

# Documents
%doc AUTHORS BUGS COPYING ChangeLog FAQ INSTALL NEWS README TODO
%doc docs/*.pdf docs/html/ test/

# Man pages
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/clamd.8*


#------------------------------------------------------------------------------------
%changelog
#------------------------------------------------------------------------------------
* Sun Nov 20 2005 Nick Hemmesch <nick@ndhsoft.com> 3.1.0-1.2.10
- Add SuSE 10.0 and Mandriva 2006.0 support
* Thu Nov 10 2005 Erik A. Espinoza <espinoza@forcenetworks.com> 0.87.1-1.2.9
- Upgraded to 0.87.1
* Sat Oct 15 2005 Nick Hemmesch <nick@ndhsoft.com> 0.87-1.2.8
- Add Fedora Core 4 x86_64 support
* Sat Oct 01 2005 Nick Hemmesch <nick@ndhsoft.com> 0.87-1.2.7
- Add CentOS 4 x86_64 support
* Tue Sep 20 2005 Erik A. Espinoza <espinoza@forcenetworks.com> 0.87-1.2.6
- Upgraded to clamav 0.87
- Changed zlib to require 1.2.3
* Mon Jul 25 2005 Erik A. Espinoza <espinoza@forcenetworks.com> 0.86.2-1.2.5
- Upgraded to clamav 0.86.2
* Fri Jul 01 2005 Nick Hemmesch <nick@ndhsoft.com> 0.86.1-1.2.4
- Add support for Fedora Core 4
* Sun Jun 26 2005 Nick Hemmesch <nick@ndhsoft.com> 0.86.1-1.2.3
- Update to clamav-0.86.1
* Fri Jun 03 2005 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.85-1.2.2
- Gnu/Linux Mandrake 10.0,10.1,10.2 support
- fix deps and conditional %%multiarch for 10.2
* Sun May 22 2005 Nick Hemmesch <nick@ndhsoft.com> 0.85.1-1.2.1
- Adapt ClamAV for QmailToaster
- Initial build
